------------
-- HUNTER --
------------

if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "HUNTER") then
    return;
end

--[[
-- generic spells
Watcher:AddIcon("Aimed Shot", 19434);
Watcher:AddIcon("Arcane Shot", 3044);
Watcher:AddIcon("Bestial Wrath", 19574);
Watcher:AddIcon("Black Arrow", 3674);
Watcher:AddIcon("Chimera Shot", 53209);
Watcher:AddIcon("Cobra Shot", 77767);
Watcher:AddIcon("Explosive Shot", 53301);
Watcher:AddIcon("Focus Fire", 82692);
Watcher:AddIcon("Frenzy", 19615);
Watcher:AddIcon("Hunter's Mark", 1130);
Watcher:AddIcon("Kill Command", 34026);
Watcher:AddIcon("Kill Shot", 53351);
Watcher:AddIcon("Rapid Fire", 3045);
Watcher:AddIcon("Readiness", 23989);
Watcher:AddIcon("Serpent Sting", 1978);
Watcher:AddIcon("Stampede", 121818);
Watcher:AddIcon("Steady Shot", 56641);

-- talented spells and procs
Watcher:AddIcon("A Murder of Crows", 131894);
Watcher:AddIcon("Dire Beast", 120679);
Watcher:AddIcon("Lock and Load", 56343);
Watcher:AddIcon("Lynx Rush", 120697);
Watcher:AddIcon("Fervor", 82726);
Watcher:AddIcon("Fire!", 82926);

function Watcher:AddClassSpells()
    self:Apply("Serpent Sting", "Cobra Shot",nil,nil,nil,true);
    self:Debuff("Serpent Sting");
    self:Direct("A Murder of Crows");
    self:Direct("Arcane Shot");
    self:Direct("Bestial Wrath");
    self:Direct("Black Arrow");
    self:Direct("Cobra Shot");
    self:Direct("Chimera Shot");
    self:Direct("Dire Beast");
    self:Direct("Fervor");
    self:Direct("Kill Command");
    self:Direct("Lynx Rush");
    self:Direct("Rapid Fire");
    self:Direct("Readiness");
    self:Direct("Stampede");
    self:PowerThreshold(20, true, "Steady Shot");
    self:Proc("Fire!", "Aimed Shot");
    self:Proc("Lock and Load", "Explosive Shot");
    self:Proc("Frenzy", "Focus Fire",5);
    self:HealthThreshold(20, false, "Kill Shot");
end
--]]