-----------
-- ROGUE --
-----------

if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "ROGUE") then
    return;
end

--[[
-- generic spells
Watcher:AddIcon("Adrenaline Rush", 13750);
Watcher:AddIcon("Backstab", 53);
Watcher:AddIcon("Envenom", 32645);
Watcher:AddIcon("Hemorrhage", 16511);
Watcher:AddIcon("Eviscerate", 2098);
Watcher:AddIcon("Dispatch", 111240);
Watcher:AddIcon("Killing Spree", 51690);
Watcher:AddIcon("Mutilate", 1329);
Watcher:AddIcon("Shadow Blades", 121471);
Watcher:AddIcon("Shadow Dance", 51713);
Watcher:AddIcon("Revealing Strike", 84617);
Watcher:AddIcon("Rupture", 1943);
Watcher:AddIcon("Sinister Strike", 1752);
Watcher:AddIcon("Slice And Dice", 5171);
Watcher:AddIcon("Tricks of the Trade", 57934);
Watcher:AddIcon("Vanish", 1856);
Watcher:AddIcon("Vendetta", 79140);

-- talented spells and procs
Watcher:AddIcon("Blindside", 121153);
Watcher:AddIcon("Preparation", 14185);

function Watcher:AddClassSpells()
    Watcher:Buff("Slice And Dice", "Slice And Dice", true);
    Watcher:Debuff("Hemorrhage");
    Watcher:Debuff("Revealing Strike");
    Watcher:Debuff("Rupture");
    Watcher:Direct("Adrenaline Rush");
    Watcher:Direct("Backstab");
    Watcher:Direct("Killing Spree");
    Watcher:Direct("Mutilate");
    Watcher:Direct("Envenom","Greater Than", 4, "Combo Points");
    Watcher:Direct("Eviscerate");
    Watcher:Direct("Shadow Blades");
    Watcher:Direct("Preparation");
    Watcher:Direct("Sinister Strike");
    Watcher:Direct("Tricks of the Trade");
    Watcher:Direct("Vanish");
    Watcher:Direct("Vendetta");
    Watcher:HealthThreshold(35, false, "Dispatch");
    Watcher:Proc("Blindside", "Dispatch");
end

--]]