-----------
-- DRUID --
-----------

if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "DRUID") then
    return;
end

--[[
-- generic spells
Watcher:AddIcon("Astral Communion", 127663);
Watcher:AddIcon("Balance Overrides Passive", 106732);
Watcher:AddIcon("Berserk", 106952);
Watcher:AddIcon("Celestial Alignment", 112071);
Watcher:AddIcon("Cyclone",33786);
Watcher:AddIcon("Faerie Fire", 770);
Watcher:AddIcon("Faerie Swarm", 102355);
Watcher:AddIcon("Ferocious Bite", 22568);
Watcher:AddIcon("Feral Overrides Passive", 106733);
Watcher:AddIcon("Guardian Overrides Passive", 106734);
Watcher:AddIcon("Incarnation: Son of Ursoc", 102558);
Watcher:AddIcon("Lacerate", 33745);
Watcher:AddIcon("Maul", 6807);
Watcher:AddIcon("Mangle", 33917);
Watcher:AddIcon("Moonfire", 8921);
Watcher:AddIcon("Rake", 1822);
Watcher:AddIcon("Rip", 1079);
Watcher:AddIcon("Restoration Overrides Passive", 106735);
Watcher:AddIcon("Savage Defense", 62606);
Watcher:AddIcon("Savage Roar", 52610);
Watcher:AddIcon("Shred", 5221);
Watcher:AddIcon("Starfall", 48505);
Watcher:AddIcon("Starfire", 2912);
Watcher:AddIcon("Starsurge", 78674);
Watcher:AddIcon("Sunfire", 93402);
Watcher:AddIcon("Swipe", 779);
Watcher:AddIcon("Symbiosis", 110309);
Watcher:AddIcon("Thrash", 77758);
Watcher:AddIcon("Ursol's Vortex", 102793);
Watcher:AddIcon("Wrath", 5176);

-- talented spells and procs
Watcher:AddIcon("Eclipse (Lunar)", 48518);
Watcher:AddIcon("Eclipse (Solar)", 48517);
Watcher:AddIcon("Force of Nature", 106737);
Watcher:AddIcon("Infected Wounds", 48484);
Watcher:AddIcon("Nature's Vigil", 124974);
Watcher:AddIcon("Shooting Stars", 93399);
Watcher:AddIcon("Weakened Armor", 113746);

-- glyphs
Watcher:AddIcon("Glyph of Barkskin", 63057);
Watcher:AddIcon("Glyph of Fae Silence", 114237);
Watcher:AddIcon("Glyph of Faerie Fire", 94386);
Watcher:AddIcon("Glyph of Maul", 54811);

function Watcher:AddClassSpells()
    Watcher:Buff("Savage Roar", "Savage Roar", true);
    Watcher:Debuff("Lacerate",0,3);
    Watcher:Debuff("Moonfire");
    Watcher:Debuff("Rake");
    Watcher:Debuff("Rip");
    Watcher:Debuff("Sunfire");
    Watcher:Debuff("Thrash");
    Watcher:BuffPerm("Astral Communion","Eclipse (Lunar)",false,nil, "Greater Than", 0, "Eclipse (Balance Druid)");
    Watcher:BuffPerm( "Astral Communion","Eclipse (Solar)",false,nil, "Less Than", 0, "Eclipse (Balance Druid)");
    Watcher:Direct("Berserk");
    Watcher:Direct("Celestial Alignment");
    Watcher:Direct("Force of Nature");
    Watcher:Direct("Incarnation: Son of Ursoc");
    Watcher:Direct("Maul");
    Watcher:Direct("Nature's Vigil");
    Watcher:Direct("Savage Defense");
    Watcher:Direct("Shred");
    Watcher:Direct("Starfall");
    Watcher:Direct("Starsurge");
    Watcher:Direct("Swipe");
    Watcher:Direct("Ursol's Vortex");
    Watcher:Proc("Eclipse (Lunar)", "Starfire",nil,"Less Than",0,"Eclipse (Balance Druid)");
    Watcher:Proc("Shooting Stars", "Starsurge");
    Watcher:Proc("Eclipse (Solar)", "Wrath");
    Watcher:Apply("Weakened Armor", "Faerie Fire", 0, 0, true, true);
    Watcher:Apply("Weakened Armor", "Faerie Swarm", 0, 0, true, true);
    Watcher:Apply("Infected Wounds", "Mangle", 0, 0, true, true);
    Watcher:HealthThreshold(25, false, "Ferocious Bite");
end

--]]